<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: frontend/src/lib/Main Window/lobby.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_ca0386ec887ae6362f93b0d653b52e0c.html">frontend</a></li><li class="navelem"><a class="el" href="dir_debbd63f1d8db984f7ce6be7690dc411.html">src</a></li><li class="navelem"><a class="el" href="dir_4a296fb22e14d54e648023a35f56bd71.html">lib</a></li><li class="navelem"><a class="el" href="dir_975d5d2dd149c960a63cfc1fda02739a.html">Main Window</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">lobby.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;QMainWindow&gt;</code><br />
<code>#include &lt;QJsonDocument&gt;</code><br />
<code>#include &lt;QFile&gt;</code><br />
<code>#include &lt;fmt/core.h&gt;</code><br />
<code>#include &lt;curl/curl.h&gt;</code><br />
<code>#include &quot;<a class="el" href="config_8h_source.html">config.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="globals_8h_source.html">globals.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="settingsservice_8h_source.html">settingsservice.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="gamestateservice_8h_source.html">gamestateservice.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="hostgame_8h_source.html">hostgame.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="NetworkService_8hpp_source.html">../network_service/NetworkService.hpp</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for lobby.h:</div>
<div class="dyncontent">
<div class="center"><img src="lobby_8h__incl.png" border="0" usemap="#frontend_2src_2lib_2Main_01Window_2lobby_8h" alt=""/></div>
<map name="frontend_2src_2lib_2Main_01Window_2lobby_8h" id="frontend_2src_2lib_2Main_01Window_2lobby_8h">
<area shape="rect" title=" " alt="" coords="349,5,505,47"/>
<area shape="rect" title=" " alt="" coords="369,244,485,271"/>
<area shape="rect" title=" " alt="" coords="2016,483,2143,509"/>
<area shape="rect" title=" " alt="" coords="3592,483,3647,509"/>
<area shape="rect" title=" " alt="" coords="3140,483,3229,509"/>
<area shape="rect" title=" " alt="" coords="5,483,92,509"/>
<area shape="rect" href="config_8h.html" title=" " alt="" coords="681,483,755,509"/>
<area shape="rect" href="globals_8h.html" title=" " alt="" coords="1973,401,2055,427"/>
<area shape="rect" href="settingsservice_8h.html" title=" " alt="" coords="3014,401,3147,427"/>
<area shape="rect" href="gamestateservice_8h.html" title=" " alt="" coords="2209,319,2360,345"/>
<area shape="rect" href="NetworkService_8hpp.html" title=" " alt="" coords="137,393,294,435"/>
<area shape="rect" href="hostgame_8h.html" title=" " alt="" coords="2381,95,2479,121"/>
<area shape="rect" title=" " alt="" coords="689,557,747,584"/>
<area shape="rect" title=" " alt="" coords="2471,483,2551,509"/>
<area shape="rect" title=" " alt="" coords="3043,483,3116,509"/>
<area shape="rect" title=" " alt="" coords="2822,483,2897,509"/>
<area shape="rect" title=" " alt="" coords="3386,483,3487,509"/>
<area shape="rect" title=" " alt="" coords="2181,401,2252,427"/>
<area shape="rect" title=" " alt="" coords="2680,401,2775,427"/>
<area shape="rect" title=" " alt="" coords="117,483,183,509"/>
<area shape="rect" title=" " alt="" coords="208,483,284,509"/>
<area shape="rect" title=" " alt="" coords="360,483,484,509"/>
<area shape="rect" title=" " alt="" coords="3505,244,3587,271"/>
<area shape="rect" title=" " alt="" coords="3662,244,3739,271"/>
<area shape="rect" title=" " alt="" coords="3763,244,3833,271"/>
<area shape="rect" title=" " alt="" coords="470,319,630,345"/>
<area shape="rect" title=" " alt="" coords="3628,169,3781,196"/>
<area shape="rect" href="Chat_8h.html" title=" " alt="" coords="1636,244,1747,271"/>
<area shape="rect" href="table_8h.html" title=" " alt="" coords="2637,169,2703,196"/>
<area shape="rect" title=" " alt="" coords="1787,319,1921,345"/>
<area shape="rect" title=" " alt="" coords="2809,319,2888,345"/>
<area shape="rect" title=" " alt="" coords="1945,319,2032,345"/>
<area shape="rect" title=" " alt="" coords="756,319,840,345"/>
<area shape="rect" title=" " alt="" coords="864,319,924,345"/>
<area shape="rect" title=" " alt="" coords="948,319,1032,345"/>
<area shape="rect" title=" " alt="" coords="2639,319,2733,345"/>
<area shape="rect" title=" " alt="" coords="1057,319,1134,345"/>
<area shape="rect" title=" " alt="" coords="1159,319,1224,345"/>
<area shape="rect" title=" " alt="" coords="1299,319,1462,345"/>
<area shape="rect" title=" " alt="" coords="1487,319,1595,345"/>
<area shape="rect" title=" " alt="" coords="1619,319,1681,345"/>
<area shape="rect" title=" " alt="" coords="1705,319,1763,345"/>
<area shape="rect" href="cardwidget_8h.html" title=" " alt="" coords="3171,244,3278,271"/>
<area shape="rect" title=" " alt="" coords="3222,319,3329,345"/>
<area shape="rect" title=" " alt="" coords="2733,244,2831,271"/>
<area shape="rect" title=" " alt="" coords="2855,244,2925,271"/>
<area shape="rect" title=" " alt="" coords="2950,244,3025,271"/>
<area shape="rect" title=" " alt="" coords="3049,244,3147,271"/>
<area shape="rect" title=" " alt="" coords="2303,244,2381,271"/>
<area shape="rect" title=" " alt="" coords="2405,244,2556,271"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="lobby_8h__dep__incl.png" border="0" usemap="#frontend_2src_2lib_2Main_01Window_2lobby_8hdep" alt=""/></div>
<map name="frontend_2src_2lib_2Main_01Window_2lobby_8hdep" id="frontend_2src_2lib_2Main_01Window_2lobby_8hdep">
<area shape="rect" title=" " alt="" coords="100,5,256,47"/>
<area shape="rect" href="lobby_8cpp.html" title=" " alt="" coords="5,95,161,136"/>
<area shape="rect" href="mainwindow_8h.html" title=" " alt="" coords="186,95,362,136"/>
<area shape="rect" href="frontend_2src_2lib_2Main_01Window_2main_8cpp.html" title=" " alt="" coords="97,184,253,225"/>
<area shape="rect" href="mainwindow_8cpp.html" title=" " alt="" coords="277,184,468,225"/>
</map>
</div>
</div>
<p><a href="lobby_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLobby.html">Lobby</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespaceUi"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceUi.html">Ui</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
